<?xml version="1.0" encoding="utf-8"?>
<RelativeLayout xmlns:android="http://schemas.android.com/apk/res/android"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:background="@color/white">

    <RelativeLayout
        android:id="@+id/not_asked"
        android:visibility="gone"
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:orientation="vertical">

        <TextView
            android:id="@+id/skip"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"

            android:layout_alignParentEnd="true"
            android:layout_marginStart="15dp"
            android:layout_marginTop="15dp"
            android:layout_marginEnd="15dp"

            android:layout_marginBottom="15dp"



            android:fontFamily="@font/nunito_medium"
            android:text="@string/skip"
            android:textColor="@color/black"
            android:textSize="@dimen/_16ssp" />

        <TextView
            android:id="@+id/security_title"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"

            android:text="@string/security"
            android:fontFamily="@font/nunito_medium"
            android:textColor="@color/black"
            android:textSize="@dimen/_18ssp"

            android:layout_marginHorizontal="15dp"
            android:layout_marginTop="@dimen/_35sdp"

            android:layout_gravity="start"

            />

        <TextView
            android:id="@+id/title_txt"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"

            android:layout_below="@id/security_title"
            android:layout_marginStart="15dp"
            android:layout_marginTop="15dp"
            android:layout_marginEnd="15dp"

            android:layout_marginBottom="15dp"

            android:fontFamily="@font/nunito_regular"
            android:text="@string/to_enhance_the_security_of_your_account_please_add_biometric_authentication_using_either_face_id_or_fingerprint"
            android:textColor="@color/black"
            android:textSize="@dimen/_16ssp" />

        <com.google.android.material.card.MaterialCardView
            android:id="@+id/set_up_fingerprint"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"

            android:layout_centerInParent="true"
            android:layout_marginHorizontal="15dp"

            app:cardElevation="5dp"
            app:strokeWidth="1dp"
            app:strokeColor="@color/color_accent"

            app:cardCornerRadius="15dp"

            >

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:orientation="horizontal"
                android:padding="15dp"
                android:gravity="center_vertical"
                >

                <ImageView
                    android:layout_width="@dimen/_60sdp"
                    android:layout_height="@dimen/_60sdp"

                    app:srcCompat="@drawable/img_fingerprint"
                    android:contentDescription="@string/unlock_with_fingerprint"
                    />

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"

                    android:text="@string/setup_with_fingerprint_or_faceid"
                    android:fontFamily="@font/nunito_regular"
                    android:textColor="@color/black"
                    android:textSize="@dimen/_16ssp"

                    android:layout_marginHorizontal="20dp"

                    />

            </LinearLayout>

        </com.google.android.material.card.MaterialCardView>

<!--        <TextView-->
<!--            android:id="@+id/set_up_or"-->
<!--            android:layout_width="wrap_content"-->
<!--            android:layout_height="wrap_content"-->

<!--            android:layout_below="@id/set_up_fingerprint"-->
<!--            android:layout_centerHorizontal="true"-->

<!--            android:text="@string/or"-->
<!--            android:fontFamily="@font/nunito_semibold"-->
<!--            android:textColor="@color/black"-->
<!--            android:textSize="@dimen/_18ssp"-->

<!--            android:layout_marginVertical="@dimen/_15sdp"-->

<!--            />-->

<!--        <com.google.android.material.card.MaterialCardView-->
<!--            android:id="@+id/set_up_pin"-->
<!--            android:layout_width="match_parent"-->
<!--            android:layout_height="wrap_content"-->
<!--            android:layout_below="@id/set_up_or"-->
<!--            android:layout_marginHorizontal="15dp"-->

<!--            app:cardElevation="5dp"-->
<!--            app:strokeWidth="1dp"-->
<!--            app:strokeColor="@color/color_accent"-->

<!--            app:cardCornerRadius="15dp"-->

<!--            >-->

<!--            <LinearLayout-->
<!--                android:layout_width="match_parent"-->
<!--                android:layout_height="wrap_content"-->
<!--                android:orientation="horizontal"-->
<!--                android:padding="15dp"-->
<!--                android:gravity="center_vertical"-->
<!--                >-->

<!--                <ImageView-->
<!--                    android:layout_width="@dimen/_60sdp"-->
<!--                    android:layout_height="@dimen/_60sdp"-->

<!--                    app:srcCompat="@drawable/img_lock"-->
<!--                    android:contentDescription="@string/unlock_with_fingerprint"-->
<!--                    />-->

<!--                <TextView-->
<!--                    android:layout_width="wrap_content"-->
<!--                    android:layout_height="wrap_content"-->

<!--                    android:text="@string/setup_a_4_digit_pin"-->
<!--                    android:fontFamily="@font/nunito_regular"-->
<!--                    android:textColor="@color/black"-->
<!--                    android:textSize="@dimen/_16ssp"-->

<!--                    android:layout_marginHorizontal="20dp"-->

<!--                    />-->

<!--            </LinearLayout>-->

<!--        </com.google.android.material.card.MaterialCardView>-->

    </RelativeLayout>

    <ScrollView
        android:id="@+id/asked_view"
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:overScrollMode="never"
        android:visibility="visible"
        android:background="@color/white_bg">

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:orientation="vertical"
            android:gravity="center_horizontal">

            <ImageView
                android:layout_width="@dimen/_150sdp"
                android:layout_height="@dimen/_150sdp"
                android:src="@drawable/welcome_img"
                android:contentDescription="@string/welcome_illustration"
                android:layout_marginTop="30dp"/>

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="@string/welcome_to_simplitend"
                android:fontFamily="@font/nunito_semibold"
                android:textColor="@color/black"
                android:textSize="@dimen/_24ssp"
                android:textAlignment="center"
                />

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="@string/sign_in_to_continue"
                android:fontFamily="@font/nunito_regular"
                android:textColor="@color/black"
                android:textSize="@dimen/_18ssp"
                android:textAlignment="center"
                />

            <EditText
                android:id="@+id/pin"
                android:visibility="gone"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"

                android:background="@drawable/edit_text_bg_3"

                android:layout_marginHorizontal="15dp"
                android:layout_marginTop="@dimen/_35sdp"
                android:paddingHorizontal="15dp"
                android:paddingVertical="10dp"

                android:hint="@string/enter_login_pin"
                android:textColor="@color/black"
                android:textColorHint="@android:color/darker_gray"
                android:textSize="@dimen/_18ssp"

                android:maxLength="4"

                android:drawableStart="@drawable/ic_lock"
                android:drawablePadding="15dp"

                android:autofillHints="password"
                android:inputType="numberPassword"
                />

            <TextView
                android:id="@+id/fingerprint_or"
                android:visibility="gone"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"

                android:text="@string/or"
                android:fontFamily="@font/nunito_semibold"
                android:textColor="@color/black"
                android:textSize="@dimen/_18ssp"

                android:layout_marginVertical="@dimen/_15sdp"

                />

            <LinearLayout
                android:id="@+id/fingerprint_view"
                android:visibility="visible"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"

                android:layout_marginTop="50dp"
                android:layout_marginHorizontal="15dp"

                android:background="@drawable/edit_text_bg_3"

                android:gravity="center_vertical"

                >

                <ImageView
                    android:layout_width="@dimen/_25sdp"
                    android:layout_height="@dimen/_25sdp"

                    android:layout_marginHorizontal="15dp"
                    android:layout_marginVertical="15dp"

                    android:src="@drawable/ic_fingerprint"

                    />

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"

                    android:text="@string/unlock_with_fingerprint"
                    android:fontFamily="@font/nunito_semibold"
                    android:textColor="@color/black"
                    android:textSize="@dimen/_14ssp"/>

            </LinearLayout>

        </LinearLayout>

    </ScrollView>

    <RelativeLayout
        android:id="@+id/connect_complete_view"
        android:visibility="gone"
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:background="@color/white_bg"
        android:overScrollMode="never">

        <com.google.android.material.card.MaterialCardView
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:layout_above="@id/proceed"

            app:cardElevation="3dp"
            app:cardCornerRadius="15dp"

            android:layout_margin="15dp"

            >

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:gravity="center"
                android:orientation="vertical">

                <ImageView
                    android:id="@+id/anim_iv"
                    android:layout_width="match_parent"
                    android:layout_height="@dimen/_250sdp"
                    android:layout_gravity="center_horizontal"
                    android:layout_marginHorizontal="15dp"
                    android:layout_marginTop="@dimen/_15sdp"
                    android:layout_marginBottom="15dp"
                    android:contentDescription="@string/thank_you" />

                <TextView
                    android:id="@+id/title"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:fontFamily="@font/nunito_bold"
                    android:text="@string/thank_you_for_creating_account_with_simplitend"
                    android:layout_marginHorizontal="15dp"
                    android:layout_marginTop="25dp"
                    android:textAlignment="center"
                    android:textSize="@dimen/_18ssp"
                    android:textColor="@color/black" />

            </LinearLayout>

        </com.google.android.material.card.MaterialCardView>

        <com.google.android.material.button.MaterialButton
            android:id="@+id/proceed"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginHorizontal="15dp"
            android:layout_marginVertical="15dp"
            android:layout_alignParentBottom="true"
            android:text="@string/proceed_with_subscription"
            android:textAppearance="@style/TextAppearance.Material3.TitleMedium"
            android:textAllCaps="false"
            android:fontFamily="@font/nunito_regular"
            android:textColor="@color/white_bg"
            android:paddingVertical="15dp"
            app:backgroundTint="@color/color_primary"
            app:cornerRadius="25dp"

            android:drawableEnd="@drawable/ic_forward_error"
            android:drawablePadding="15dp"
            />

    </RelativeLayout>

</RelativeLayout>